(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     93603,       2718]
NotebookOptionsPosition[     84130,       2397]
NotebookOutlinePosition[     84475,       2412]
CellTagsIndexPosition[     84432,       2409]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " kurz"
}], "Text",
 CellChangeTimes->{{3.410687263815319*^9, 3.410687266534069*^9}, {
  3.410687509502819*^9, 3.4106875107684436`*^9}}],

Cell[TextData[{
 "Mathematica pracuje s takzvan\[YAcute]mi atomick\[YAcute]mi a se \
slo\:017een\[YAcute]mi v\[YAcute]razy. Atomick\[YAcute] je v\[YAcute]raz, \
kter\[YAcute] nelze rozlo\:017eit na n\:011bkolik podv\[YAcute]raz\:016f.\n\n\
Atomick\[EAcute] v\[YAcute]razy jsou n\:011bkolika typ\:016f. Mezi \
nejd\:016fle\:017eit\:011bj\[SHacek]\[IAcute] typy pat\:0159\[IAcute] Real, \
Integer, String a Symbol. \n\nTyp Symbol je n\:011bco, co je nov\[EAcute]ho \
oproti b\:011b\:017en\[YAcute]m programovac\[IAcute]m jazyk\:016fm. Bylo by \
mo\:017en\[EAcute] to p\:0159elo\:017eit jako zna\[CHacek]ka, nebo ozna\
\[CHacek]en\[IAcute], no prost\:011b je to symbol. Tohoto typu je \
jak\[YAcute]koliv atomick\[YAcute] v\[YAcute]raz, kter\[YAcute] \
nen\[AAcute]le\:017e\[IAcute] n\:011bkter\[EAcute]mu z ostatn\[IAcute]ch typ\
\:016f. Naproti tomu ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " nezav\[AAcute]d\[IAcute] klasick\[YAcute] typ prom\:011bnn\[EAcute], jako \
m\[IAcute]sto kam n\:011bco ukl\[AAcute]d\[AAcute]me, ale vysta\[CHacek]\
\[IAcute] si se Symboly a k nim p\:0159i\:0159azen\[YAcute]mi pravidly \
nahrazen\[IAcute]. Prakticky se pak symboly mohou chovat stejn\:011b jako \
prom\:011bnn\[EAcute] v ostatn\[IAcute]ch jazyc\[IAcute]ch, ale \
z\[AAcute]rove\:0148 lze s nimi d\:011blat mnohem v\[IAcute]c a cel\[YAcute] \
syst\[EAcute]m je velice konzistentn\[IAcute].\n\nTyp symbolu je mo\:017en\
\[EAcute] z\[IAcute]skat funkc\[IAcute] Head"
}], "Text",
 CellChangeTimes->{{3.410861848171875*^9, 3.41086185075*^9}, {
  3.41086191928125*^9, 3.41086196859375*^9}, {3.41086214903125*^9, 
  3.410862195265625*^9}, {3.41086222553125*^9, 3.410862307140625*^9}, {
  3.4108623623125*^9, 3.410862435421875*^9}, {3.410862470703125*^9, 
  3.410862801796875*^9}, {3.410862833359375*^9, 3.41086286715625*^9}, {
  3.41086289853125*^9, 3.410862955203125*^9}, {3.41086299303125*^9, 
  3.4108630325625*^9}, {3.4108630725625*^9, 3.410863085875*^9}, {
  3.410967296424162*^9, 3.41096729694491*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", "5", "]"}]], "Input",
 CellChangeTimes->{{3.410863088671875*^9, 3.410863096234375*^9}}],

Cell[BoxData["Integer"], "Output",
 CellChangeTimes->{3.410863096453125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", "5.", "]"}]], "Input",
 CellChangeTimes->{3.410863103546875*^9}],

Cell[BoxData["Real"], "Output",
 CellChangeTimes->{3.41086310428125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", "\"\<5\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.410863109671875*^9, 3.410863111515625*^9}}],

Cell[BoxData["String"], "Output",
 CellChangeTimes->{3.41086311234375*^9}]
}, Open  ]],

Cell[BoxData["Head"], "Input",
 CellChangeTimes->{{3.410863130796875*^9, 3.41086313259375*^9}}],

Cell["\<\
Slo\:017een\[EAcute] v\[YAcute]razy jsou stromovou strukturou slo\:017eenou z \
atomick\[YAcute]ch v\[YAcute]raz\:016f. Ka\:017ed\[AAcute] v\:011btev t\
\[EAcute]to struktury je tvo\:0159ena (mo\:017eno ch\[AAcute]pat i jako ozna\
\[CHacek]ena ) aomick\[YAcute]m v\[YAcute]razem. Jin\[YAcute]mi slovy: Ke ka\
\:017ed\[EAcute]mu atomick\[EAcute]mu v\[YAcute]razu lze p\:0159idat podv\
\[YAcute]razy (podv\:011btve). Syntakticky je to prakticky tak, \:017ee nap\
\[IAcute]\[SHacek]eme atomick\[YAcute] v\[YAcute]raz a za n\:011bj do hranat\
\[YAcute]ch z\[AAcute]vorek podv\[YAcute]razy (v\:011btve \
slo\:017een\[EAcute]ho v\[YAcute]razu). Tak nap\:0159.\
\>", "Text",
 CellChangeTimes->{{3.410694917065319*^9, 3.410694927721569*^9}, {
   3.4106949662684436`*^9, 3.4106949900809436`*^9}, {3.410695045877819*^9, 
   3.4106953784871936`*^9}, 3.410860440359375*^9, {3.410967349460424*^9, 
   3.41096739467544*^9}, {3.4109674361751137`*^9, 3.4109674681911507`*^9}, {
   3.4109681790933776`*^9, 3.410968431956978*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"symb", "[", 
  RowBox[{"neco", ",", 
   RowBox[{"\"\<string\>\"", "[", 
    RowBox[{"ratata", ",", " ", "na", ",", " ", 
     RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
   RowBox[{"1", "[", 
    RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.4109684341100736`*^9, 3.410968526783331*^9}, 
   3.4109690097377853`*^9, {3.410969041723779*^9, 3.4109690533004255`*^9}}],

Cell[BoxData[
 RowBox[{"symb", "[", 
  RowBox[{"neco", ",", 
   RowBox[{"\<\"string\"\>", "[", 
    RowBox[{"ratata", ",", "na", ",", 
     RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
   RowBox[{"1", "[", 
    RowBox[{"5", ",", "\<\"str\"\>", ",", "symb"}], "]"}]}], "]"}]], "Output",\

 CellChangeTimes->{3.4109685381897326`*^9, 3.410969042805334*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "//", 
  "TreeForm"}]], "Input",
 CellChangeTimes->{{3.410968556796488*^9, 3.4109685646978493`*^9}, {
  3.4109689636214733`*^9, 3.410968985723254*^9}, {3.410969039911173*^9, 
  3.410969054462096*^9}, {3.411129602791391*^9, 3.4111296246195154`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.3187609467915742`, 1.978141420187361}, {0., 
    1.318760946791574}, {0.6593804733957871, 1.318760946791574}, {0., 
    0.6593804733957869}, {0.6593804733957871, 0.6593804733957869}, {
    1.3187609467915742`, 0.6593804733957869}, {1.3187609467915742`, 0.}, {
    2.6375218935831484`, 1.318760946791574}, {1.978141420187361, 
    0.6593804733957869}, {2.6375218935831484`, 0.6593804733957869}, {
    3.2969023669789355`, 0.6593804733957869}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 3}, {1, 8}, {3, 4}, {3, 5}, {3, 6}, {6, 7}, {8, 
       9}, {8, 10}, {8, 11}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["symb", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{"symb", "[", 
           RowBox[{"neco", ",", 
             RowBox[{"\"string\"", "[", 
               RowBox[{"ratata", ",", "na", ",", 
                 RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
             RowBox[{"1", "[", 
               RowBox[{"5", ",", "\"str\"", ",", "symb2"}], "]"}]}], "]"}], 
         HoldForm]],
       Annotation[#, 
        HoldForm[
         $CellContext`symb[$CellContext`neco, 
          "string"[$CellContext`ratata, $CellContext`na, 
           $CellContext`vrata[$CellContext`klika]], 
          1[5, "str", $CellContext`symb2]]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["neco",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox["neco", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`neco], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["\<\"string\"\>", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{"\"string\"", "[", 
           RowBox[{"ratata", ",", "na", ",", 
             RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         "string"[$CellContext`ratata, $CellContext`na, 
          $CellContext`vrata[$CellContext`klika]]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["ratata",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox["ratata", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`ratata], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["na",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox["na", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`na], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["vrata", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox[
         RowBox[{"vrata", "[", "klika", "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         $CellContext`vrata[$CellContext`klika]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["klika",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox["klika", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`klika], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["1", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox[
         RowBox[{"1", "[", 
           RowBox[{"5", ",", "\"str\"", ",", "symb2"}], "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         1[5, "str", $CellContext`symb2]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["5",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["5", HoldForm]],
       Annotation[#, 
        HoldForm[5], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["\<\"str\"\>",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox["\"str\"", HoldForm]],
       Annotation[#, 
        HoldForm["str"], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["symb2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.03636363636363637],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 11],
        TagBox["symb2", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`symb2], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.3187609467915742`, 1.978141420187361}, {0., 
     1.318760946791574}, {0.6593804733957871, 1.318760946791574}, {0., 
     0.6593804733957869}, {0.6593804733957871, 0.6593804733957869}, {
     1.3187609467915742`, 0.6593804733957869}, {1.3187609467915742`, 0.}, {
     2.6375218935831484`, 1.318760946791574}, {1.978141420187361, 
     0.6593804733957869}, {2.6375218935831484`, 0.6593804733957869}, {
     3.2969023669789355`, 0.6593804733957869}}]& ],
  AspectRatio->NCache[2 11^Rational[-1, 2], 0.6030226891555273],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{
  3.4109685660898514`*^9, {3.4109689717431517`*^9, 3.410968986143859*^9}, 
   3.4109690440070624`*^9, {3.4111296083382654`*^9, 3.411129626291391*^9}}]
}, Open  ]],

Cell["\<\
P\[IAcute]kazem Head dostaneme atomick\[YAcute] v\[YAcute]raz ozna\[CHacek]uj\
\[IAcute]c\[IAcute] ko\:0159en struktury v\[YAcute]razu (takzvanou hlavi\
\[CHacek]ku) jednotliv\[EAcute] v\:011btve i podv\:011btve dostaneme pomoc\
\[IAcute] dvojit\[YAcute]ch hranat\[YAcute]ch z\[AAcute]vorek.\
\>", "Text",
 CellChangeTimes->{{3.4109688113825645`*^9, 3.41096894515492*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "//", 
  "Head"}]], "Input",
 CellChangeTimes->{{3.410969019812272*^9, 3.4109690565951633`*^9}, {
  3.410969099246493*^9, 3.410969102951821*^9}}],

Cell[BoxData["symb"], "Output",
 CellChangeTimes->{{3.410969026622064*^9, 3.4109690574764304`*^9}, {
  3.410969099797285*^9, 3.410969103512627*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4109690656682096`*^9, 3.410969110042016*^9}}],

Cell[BoxData[
 RowBox[{"\<\"string\"\>", "[", 
  RowBox[{"ratata", ",", "na", ",", 
   RowBox[{"vrata", "[", "klika", "]"}]}], "]"}]], "Output",
 CellChangeTimes->{{3.4109690746811695`*^9, 3.410969110913269*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "TreeForm"}]], "Input",
 CellChangeTimes->{{3.4109691147087264`*^9, 3.410969121288187*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{0.8164965809277261, 1.6329931618554523`}, {0., 
    0.8164965809277261}, {0.8164965809277261, 0.8164965809277261}, {
    1.6329931618554523`, 0.8164965809277261}, {1.6329931618554523`, 0.}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 3}, {1, 4}, {4, 5}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["\<\"string\"\>", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{"\"string\"", "[", 
           RowBox[{"ratata", ",", "na", ",", 
             RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         "string"[$CellContext`ratata, $CellContext`na, 
          $CellContext`vrata[$CellContext`klika]]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["ratata",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox["ratata", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`ratata], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["na",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox["na", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`na], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["vrata", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox[
         RowBox[{"vrata", "[", "klika", "]"}], HoldForm]],
       Annotation[#, 
        HoldForm[
         $CellContext`vrata[$CellContext`klika]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["klika",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox["klika", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`klika], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{0.8164965809277261, 1.6329931618554523`}, {0., 
     0.8164965809277261}, {0.8164965809277261, 0.8164965809277261}, {
     1.6329931618554523`, 0.8164965809277261}, {1.6329931618554523`, 0.}}]& ],
  
  AspectRatio->NCache[Rational[6, 13]^Rational[1, 2], 0.6793662204867574],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{3.4109691217788925`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "3"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4109691384328403`*^9, 3.410969139554453*^9}}],

Cell[BoxData[
 RowBox[{"vrata", "[", "klika", "]"}]], "Output",
 CellChangeTimes->{3.4109691408262815`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "[", 
  RowBox[{"[", "0", "]"}], "]"}]], "Input",
 CellChangeTimes->{3.4109691682356944`*^9}],

Cell[BoxData["symb"], "Output",
 CellChangeTimes->{3.410969168866602*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"symb", "[", 
   RowBox[{"neco", ",", 
    RowBox[{"\"\<string\>\"", "[", 
     RowBox[{"ratata", ",", " ", "na", ",", " ", 
      RowBox[{"vrata", "[", "klika", "]"}]}], "]"}], ",", 
    RowBox[{"1", "[", 
     RowBox[{"5", ",", "\"\<str\>\"", ",", "symb2"}], "]"}]}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "3", ",", "0"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.410969191539203*^9, 3.410969205078672*^9}}],

Cell[BoxData["vrata"], "Output",
 CellChangeTimes->{{3.410969195805338*^9, 3.4109692058397665`*^9}}]
}, Open  ]],

Cell["\<\
N\:011bkter\[EAcute] symboly pou\:017eit\[EAcute] jako hlavi\[CHacek]ka (ozna\
\[CHacek]en\[IAcute] ko\:0159enu) v\[YAcute]raz\:016f ur\[CHacek]it\[EAcute] \
struktury (u n\:011bkter\[YAcute]ch se nap\:0159\[IAcute]klad chce, aby m\
\:011bly alespo\:0148 dv\:011b podv\:011btve) maj\[IAcute] specifick\[YAcute] \
v\[YAcute]znam a n\:011bkter\[EAcute] se pak dokonce standartn\:011b v \
notebooku zobrazuj\[IAcute] \[UAcute]pln\:011b jinak. Nap\:0159\[IAcute]klad \
Plus, Minus, Times, Power, List....:\
\>", "Text",
 CellChangeTimes->{{3.4109694938839536`*^9, 3.410969780636283*^9}, {
  3.4109735098986993`*^9, 3.410973510669808*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"List", "[", 
  RowBox[{"1", ",", 
   RowBox[{"Plus", "[", 
    RowBox[{
     RowBox[{"Times", "[", 
      RowBox[{"2", ",", "c"}], "]"}], ",", 
     RowBox[{"Minus", "[", "z", "]"}]}], "]"}], ",", 
   RowBox[{"Plus", "[", 
    RowBox[{"3", ",", "a"}], "]"}], ",", 
   RowBox[{"Power", "[", 
    RowBox[{"x", ",", "b"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.410969794145709*^9, 3.4109699965367327`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   RowBox[{
    RowBox[{"2", " ", "c"}], "-", "z"}], ",", 
   RowBox[{"3", "+", "a"}], ",", 
   SuperscriptBox["x", "b"]}], "}"}]], "Output",
 CellChangeTimes->{{3.4109698024276175`*^9, 3.4109698926273184`*^9}, {
  3.4109699669942527`*^9, 3.410969997207698*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"1", ",", 
    RowBox[{
     RowBox[{"2", " ", "c"}], "-", "z"}], ",", 
    RowBox[{"3", "+", "a"}], ",", 
    SuperscriptBox["x", "b"]}], "}"}], "//", "TreeForm"}]], "Input",
 CellChangeTimes->{{3.410969820844099*^9, 3.4109698349143314`*^9}, 
   3.410969866700037*^9, {3.410969941167115*^9, 3.410969942018339*^9}, {
   3.410969977559445*^9, 3.410970009956029*^9}, {3.410970096510488*^9, 
   3.4109701131644354`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{2.0059435495071947`, 1.8516401995451028`}, {
    0.3086066999241838, 1.234426799696735}, {0.9258200997725514, 
    1.234426799696735}, {0.3086066999241838, 0.6172133998483675}, {0., 0.}, {
    0.6172133998483676, 0.}, {1.5430334996209192`, 0.6172133998483675}, {
    1.2344267996967353`, 0.}, {1.8516401995451028`, 0.}, {2.46885359939347, 
    1.234426799696735}, {2.1602468994692865`, 0.6172133998483675}, {
    2.7774602993176543`, 0.6172133998483675}, {3.7032803990902057`, 
    1.234426799696735}, {3.3946736991660216`, 0.6172133998483675}, {
    4.011887099014389, 0.6172133998483675}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 3}, {1, 10}, {1, 13}, {3, 4}, {3, 7}, {4, 5}, {4, 
       6}, {7, 8}, {7, 9}, {10, 11}, {10, 12}, {13, 14}, {13, 15}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["List", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{"{", 
           RowBox[{"1", ",", 
             RowBox[{
               RowBox[{"2", " ", "c"}], "-", "z"}], ",", 
             RowBox[{"3", "+", "a"}], ",", 
             SuperscriptBox["x", "b"]}], "}"}], HoldForm]],
       Annotation[#, 
        HoldForm[{
         1, 2 $CellContext`c - $CellContext`z, 
          3 + $CellContext`a, $CellContext`x^$CellContext`b}], "Tooltip"]& ], 
      
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["1",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox["1", HoldForm]],
       Annotation[#, 
        HoldForm[1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{
           RowBox[{"2", " ", "c"}], "-", "z"}], HoldForm]],
       Annotation[#, 
        HoldForm[2 $CellContext`c - $CellContext`z], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox[
         RowBox[{"2", " ", "c"}], HoldForm]],
       Annotation[#, 
        HoldForm[2 $CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["c",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox["c", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox[
         RowBox[{"-", "z"}], HoldForm]],
       Annotation[#, 
        HoldForm[-$CellContext`z], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"-", "1"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox[
         RowBox[{"-", "1"}], HoldForm]],
       Annotation[#, 
        HoldForm[-1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["z",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["z", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`z], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox[
         RowBox[{"3", "+", "a"}], HoldForm]],
       Annotation[#, 
        HoldForm[3 + $CellContext`a], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["3",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 11],
        TagBox["3", HoldForm]],
       Annotation[#, 
        HoldForm[3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["a",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 12],
        TagBox["a", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 13],
        TagBox[
         SuperscriptBox["x", "b"], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`x^$CellContext`b], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["x",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 14],
        TagBox["x", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`x], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["b",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 15],
        TagBox["b", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`b], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{2.0059435495071947`, 1.8516401995451028`}, {
     0.3086066999241838, 1.234426799696735}, {0.9258200997725514, 
     1.234426799696735}, {0.3086066999241838, 0.6172133998483675}, {0., 0.}, {
     0.6172133998483676, 0.}, {1.5430334996209192`, 0.6172133998483675}, {
     1.2344267996967353`, 0.}, {1.8516401995451028`, 0.}, {2.46885359939347, 
     1.234426799696735}, {2.1602468994692865`, 0.6172133998483675}, {
     2.7774602993176543`, 0.6172133998483675}, {3.7032803990902057`, 
     1.234426799696735}, {3.3946736991660216`, 0.6172133998483675}, {
     4.011887099014389, 0.6172133998483675}}]& ],
  AspectRatio->NCache[2 7^Rational[-1, 2], 0.7559289460184544],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{{3.4109698245594416`*^9, 3.4109698354250655`*^9}, {
   3.4109698673409586`*^9, 3.4109698939091616`*^9}, 3.410969942268699*^9, {
   3.4109699783005104`*^9, 3.4109700105368643`*^9}, {3.410970097431813*^9, 
   3.410970113915515*^9}}]
}, Open  ]],

Cell["\<\
V\:011btve ve stromu v\[YAcute]razu maj\[IAcute] sv\[EAcute] po\:0159ad\
\[IAcute], tak jak je p\[IAcute]\[SHacek]eme za sebou do hranat\[YAcute]ch z\
\[AAcute]vorek. N\:011bkdy ale chceme, aby byl dan\[YAcute] v\[YAcute]raz \
komutativn\[IAcute] (nap\:0159. Plus, Times...) Takov\[EAcute] symboly maj\
\[IAcute] nastaven p\:0159\[IAcute]znak Orderless \
\>", "Text",
 CellChangeTimes->{{3.4109733951737328`*^9, 3.41097350696448*^9}, {
  3.410973561993608*^9, 3.4109735962829137`*^9}, {3.4109736769789486`*^9, 
  3.410973705179499*^9}, {3.4109738223880367`*^9, 3.4109738404440002`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Attributes", "[", "Plus", "]"}]], "Input",
 CellChangeTimes->{{3.410973692030592*^9, 3.410973719490077*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "Flat", ",", "Listable", ",", "NumericFunction", ",", "OneIdentity", ",", 
   "Orderless", ",", "Protected"}], "}"}]], "Output",
 CellChangeTimes->{{3.4109737111681104`*^9, 3.410973720231142*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " se pak star\[AAcute] o to, aby dva v\[YAcute]razy s \
opa\[CHacek]n\[YAcute]m po\:0159ad\[IAcute]m se chovali jako toto\:017en\
\[EAcute]. Jeden za z\[AAcute]kladn\[IAcute]ch zp\:016fsob\:016f, jak to d\
\:011bl\[AAcute], je, \:017ee kdy\:017e naraz\[IAcute] na \
slo\:017een\[YAcute] v\[YAcute]raz s hlavi\[CHacek]kou s nastaven\[YAcute]m \
attributem Orderless, tak v\[SHacek]echny jeho podv\:011btve nejprve uspo\
\:0159\[AAcute]d\[AAcute]. Jeliko\:017e v\:017edy uspo\:0159\[AAcute]d\
\[AAcute]v\[AAcute] podle stejn\[EAcute]ho kl\[IAcute]\[CHacek]e, \
maj\[IAcute] komutovan\[EAcute] v\[YAcute]razy v\:017edy po uspo\:0159\
\[AAcute]d\[AAcute]n\[IAcute] stejn\[EAcute] po\:0159ad\[IAcute] podv\:011btv\
\[IAcute] a jsou tedy toto\:017en\[EAcute]."
}], "Text",
 CellChangeTimes->{{3.4109739339584675`*^9, 3.41097426705744*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "+", "b"}]], "Input",
 CellChangeTimes->{{3.4109742700717745`*^9, 3.410974271083229*^9}}],

Cell[BoxData[
 RowBox[{"a", "+", "b"}]], "Output",
 CellChangeTimes->{3.410974271463776*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b", "+", "a"}]], "Input",
 CellChangeTimes->{{3.4109742730760946`*^9, 3.4109742739773903`*^9}}],

Cell[BoxData[
 RowBox[{"a", "+", "b"}]], "Output",
 CellChangeTimes->{3.4109742743679523`*^9}]
}, Open  ]],

Cell["\<\
Existuje mnoho attribut\:016f pro symboly a je mo\:017en\[EAcute] je \
pou\:017e\[IAcute]vat a p\:0159i\:0159azovat sv\[YAcute]m nov\[YAcute]m \
symbol\:016fm. Popis jednotliv\[YAcute]ch attribut\:016f najde u\:017eivatel \
v n\[AAcute]pov\:011bd\:011b.\
\>", "Text",
 CellChangeTimes->{{3.4109743228977346`*^9, 3.4109744034635825`*^9}}],

Cell[BoxData[
 RowBox[{"SetAttributes", "[", 
  RowBox[{"ss", ",", "Orderless"}], "]"}]], "Input",
 CellChangeTimes->{{3.4109744111946993`*^9, 3.4109744388144145`*^9}, {
  3.410974484740453*^9, 3.410974502495984*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ss", "[", 
  RowBox[{"a", ",", "b"}], "]"}]], "Input",
 CellChangeTimes->{{3.4109744432708225`*^9, 3.410974447877446*^9}, {
  3.4109744899279118`*^9, 3.410974494344262*^9}}],

Cell[BoxData[
 RowBox[{"ss", "[", 
  RowBox[{"a", ",", "b"}], "]"}]], "Output",
 CellChangeTimes->{3.4109744481979074`*^9, 3.410974504098288*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ss", "[", 
  RowBox[{"b", ",", "a"}], "]"}]], "Input",
 CellChangeTimes->{{3.410974450100643*^9, 3.4109744542966766`*^9}}],

Cell[BoxData[
 RowBox[{"ss", "[", 
  RowBox[{"a", ",", "b"}], "]"}]], "Output",
 CellChangeTimes->{3.410974454897541*^9, 3.410974504919469*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", 
   RowBox[{"a", ",", "b", ",", "c"}], "]"}], "==", 
  RowBox[{"ss", "[", 
   RowBox[{"c", ",", "b", ",", "a"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.410974510277173*^9, 3.410974533710869*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4109745347824097`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Pravidla a vzory", "Subsubsection",
 CellChangeTimes->{{3.410687278065319*^9, 3.4106872949246936`*^9}, {
  3.4106900597684436`*^9, 3.4106900825809436`*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " funguje na pravidlech: Zadavame stale pravidla typu, kdy\:017e najde\
\[SHacek] toto nahra\:010f to t\[IAcute]mto. V Mathematice je p\:0159edeps\
\[AAcute]na spousta p\:0159eddefinovan\[YAcute]ch pravidel jako nap\:0159\
\[IAcute]klad: kdy\:017e najde\[SHacek] sou\[CHacek]et dvakr\[AAcute]t toho \
sam\[EAcute]ho nahra\:010f to pomoc\[IAcute] n\[AAcute]soben\[IAcute] dvou"
}], "Text",
 CellChangeTimes->{{3.410688977284069*^9, 3.410689024471569*^9}, {
  3.4106890565809436`*^9, 3.410689181502819*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "+", "a"}]], "Input",
 CellChangeTimes->{{3.410689188534069*^9, 3.410689189002819*^9}}],

Cell[BoxData[
 RowBox[{"2", " ", "a"}]], "Output",
 CellChangeTimes->{3.410689192065319*^9}]
}, Open  ]],

Cell["\<\
M\[AAcute]me velice siln\[EAcute] n\[AAcute]stroje, jak zad\[AAcute]vat \
pravidla vlastn\[IAcute]. Pravidla mohou b\[YAcute]t bu\:010f pro jednor\
\[AAcute]zov\[EAcute], pop\:0159. jen pro \
n\:011bkolikan\[AAcute]sobn\[EAcute] pou\:017eit\[IAcute], nebo pravidla s \
trvalou platnost\[IAcute]. 

Pravidla jednor\[AAcute]zov\[AAcute] zapisujeme pomoc\[IAcute] zkratky \
\[Rule] nebo \[RuleDelayed] a na ur\[CHacek]it\[YAcute] v\[YAcute]raz \
aplikujeme pomoc\[IAcute] zkratky /. nebo //. . Tak nap\:0159. pravidlo, kdy\
\:017e najde\[SHacek] symbol s nahra\:010f ho symbolem d \
nap\[IAcute]\[SHacek]eme\
\>", "Text",
 CellChangeTimes->{{3.4106891985184436`*^9, 3.410689228190319*^9}, {
  3.4106892684559436`*^9, 3.410689385346569*^9}, {3.4106894243934436`*^9, 
  3.4106896151434436`*^9}, {3.410689690752819*^9, 3.410689698659069*^9}, {
  3.410689790034069*^9, 3.4106898591434436`*^9}, {3.410689909721569*^9, 
  3.410689966659069*^9}, {3.4109746958039474`*^9, 3.41097469683543*^9}}],

Cell[BoxData[
 RowBox[{"s", "\[Rule]", "d"}]], "Input",
 CellChangeTimes->{
  3.410689569627819*^9, {3.410689670596569*^9, 3.4106896734871936`*^9}, {
   3.410689969752819*^9, 3.4106899829559436`*^9}}],

Cell["\<\
Toto pravidlo (anglicky Rule) aplikujeme na mno\:017einu (anglicky List) \
symbol\:016f takto\
\>", "Text",
 CellChangeTimes->{{3.410689999221569*^9, 3.410690048377819*^9}, {
  3.4106900957371936`*^9, 3.4106901165809436`*^9}, {3.410690655565319*^9, 
  3.4106906594246936`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "s", ",", "sd", ",", "ss", ",", "d", ",", "s", ",", "s", ",", "s", ",", 
    "ss"}], "}"}], "/.", 
  RowBox[{"s", "\[Rule]", "d"}]}]], "Input",
 CellChangeTimes->{{3.410690151315319*^9, 3.410690272002819*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "d", ",", "sd", ",", "ss", ",", "d", ",", "d", ",", "d", ",", "d", ",", 
   "ss"}], "}"}]], "Output",
 CellChangeTimes->{{3.4106901883934436`*^9, 3.410690272690319*^9}}]
}, Open  ]],

Cell["\<\
Pravidla traval\[AAcute] se zapisuj\[IAcute] pomoc\[IAcute] zkratek = a := . \
Od chv\[IAcute]le kdy je ode\[SHacek]leme se aplikuj\[IAcute] se automaticky \
na v\[SHacek]echno, co nech\[AAcute]me vyhodnotit (po\[SHacek]leme pomoc\
\[IAcute] Ctrl-Enter na zpracov\[AAcute]n\[IAcute] do kernelu).\
\>", "Text",
 CellChangeTimes->{{3.410690312721569*^9, 3.4106903835496936`*^9}, {
  3.410690439440319*^9, 3.4106904396746936`*^9}, {3.410690485284069*^9, 
  3.4106905261434436`*^9}, {3.4106909152996936`*^9, 3.410690987846569*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "s", ",", "sd", ",", "ss", ",", "d", ",", "s", ",", "s", ",", "s", ",", 
   "ss"}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "s", ",", "sd", ",", "ss", ",", "d", ",", "s", ",", "s", ",", "s", ",", 
   "ss"}], "}"}]], "Output",
 CellChangeTimes->{3.4106910385496936`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d", "=", "s"}]], "Input",
 CellChangeTimes->{{3.410690453409069*^9, 3.4106904724246936`*^9}, {
  3.410691015909069*^9, 3.4106910174246936`*^9}}],

Cell[BoxData["s"], "Output",
 CellChangeTimes->{3.4106910407059436`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "s", ",", "sd", ",", "ss", ",", "d", ",", "s", ",", "s", ",", "s", ",", 
   "ss"}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "s", ",", "sd", ",", "ss", ",", "s", ",", "s", ",", "s", ",", "s", ",", 
   "ss"}], "}"}]], "Output",
 CellChangeTimes->{3.410691044971569*^9}]
}, Open  ]],

Cell["\<\
Pozn. 0 : Pozor trval\[AAcute] pravidla se vnit\:0159n\:011b defaultn\:011b p\
\:0159i\:0159azuj\[IAcute] ko\:0159enov\[EAcute]mu symbolu (k \
hlavi\[CHacek]ce) v reprezentaci v\[YAcute]razu na lev\[EAcute] stran\:011b \
pravidla (viz. FullForm). Tento symbol mus\[IAcute] tedy ve vzoru existovat a \
nesm\[IAcute] b\[YAcute]t chr\[AAcute]n\:011bn proti nov\[YAcute]m pravidl\
\:016fm (attribut Protected)\
\>", "Text",
 CellChangeTimes->{{3.410693268877819*^9, 3.410693548909069*^9}, {
   3.4106935886746936`*^9, 3.4106936357684436`*^9}, {3.4109747521149187`*^9, 
   3.4109747649133215`*^9}, {3.4109748042699137`*^9, 3.4109748966427393`*^9}, 
   3.4109749940628223`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "+", "b"}], "=", "3"}]], "Input",
 CellChangeTimes->{{3.4106934993621936`*^9, 3.410693513002819*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Set", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Plus\\) in \\!\\(a + b\\) is Protected. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"Set::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.410693513502819*^9}],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.410693513502819*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"3", "[", 
   RowBox[{"a", ",", "b"}], "]"}], "=", "5"}]], "Input",
 CellChangeTimes->{{3.410693555721569*^9, 3.4106935686434436`*^9}, 
   3.4109748251699667`*^9, {3.41097491999632*^9, 3.410974927336875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Set", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Integer\\) in \\!\\(3[a]\\) is Protected. \\!\\(\
\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/write\\\", \
ButtonNote -> \\\"Set::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.410693569190319*^9, 3.410974827192875*^9, 
  3.4109749238318353`*^9}],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.4106935692059436`*^9, 3.410974827212904*^9, 
  3.410974923851864*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"_", "=", "2"}]], "Input",
 CellChangeTimes->{{3.410974934246811*^9, 3.4109749372811747`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Set", "::", "\<\"nosym\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(_\\) does not contain a symbol to attach a rule to. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/nosym\\\", \
ButtonNote -> \\\"Set::nosym\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.410974938542989*^9}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.4109749385830464`*^9}]
}, Open  ]],

Cell["\<\
Pozn. 1: I na funkce se m\:016f\:017eeme d\[IAcute]vat jako na zadefinovan\
\[AAcute] pravidla (kdykoli kdy najdete n\:011bco ve tvaru f[ ... ] nahra\
\:010f to n\:011b\[CHacek]\[IAcute]m a to p\:0159edem tak\[EAcute] vyhono\
\:0165, tedy aplikuj na to v\[SHacek]echna zn\[AAcute]m\[AAcute] pravidla ). 
Pozn. 2: Podobn\:011b i v\[YAcute]po\[CHacek]ty jsou jen sadou pravidel pro \
nahrazen\[IAcute]: Kdykoliv uvid\[IAcute]\[SHacek] sou\[CHacek]et nahra\:010f \
to v\[YAcute]sledkem sou\[CHacek]tu (ano zde je to realizov\[AAcute]no v \
kernelu jako funkce proto\:017ee pravidlel pro v\[SHacek]echny mo\:017en\
\[EAcute] sou\[CHacek]ty je nekone\[CHacek]n\:011b mnoho, ale navenek se v\
\[SHacek]e chov\[AAcute] jako aplikace p\:0159eddefinovan\[YAcute]ch \
pravidel)\
\>", "Text",
 CellChangeTimes->{{3.4106911344871936`*^9, 3.4106912140809436`*^9}, {
  3.4106913191121936`*^9, 3.410691636502819*^9}, {3.410691685846569*^9, 
  3.4106916873934436`*^9}}],

Cell["\<\

To, co je na lev\[EAcute] stran\:011b pravidla, tedy to co hled\[AAcute]me a \
s \[CHacek]\[IAcute]m porovn\[AAcute]v\[AAcute]me, je pr\[AAcute]v\:011b vzor \
(neboli pattern). Tedy p\:0159esn\:011bji: To, co je na lev\[EAcute] stran\
\:011b pravidla, tedy to co hled\[AAcute]me a s \[CHacek]\[IAcute]m porovn\
\[AAcute]v\[AAcute]me, je p\:0159edpokl\[AAcute]d\[AAcute]no b\[YAcute]ti \
vzorem (neboli patternem). Vzor (pattern) toti\:017e m\:016f\:017ee existovat \
i osamocen\:011b, ani\:017e by byl aplikov\[AAcute]n na levou stranu \
pravidla, \[CHacek]i jinam, kde je vzor p\:0159edpokl\[AAcute]d\[AAcute]n. Je \
to pak, ale vlastn\:011b jen norm\[AAcute]ln\[IAcute] v\[YAcute]raz jako ka\
\:017ed\[YAcute] jin\[YAcute]. Teprve p\:0159i aplikaci, tedy ve \
chv\[IAcute]li, kdy je s n\[IAcute]m n\:011bco porovn\[AAcute]v\[AAcute]no (a\
\:0165 u\:017e v r\[AAcute]mci aplikace pravidla, nebo t\:0159eba funkce \
MatchQ) dostanou n\:011bkter\[EAcute] symboly v n\:011bm \
zvl\[AAcute]\[SHacek]tn\[IAcute] v\[YAcute]znam.\
\>", "Text",
 CellChangeTimes->{{3.4106917121746936`*^9, 3.410691766877819*^9}, {
  3.410692100940319*^9, 3.410692125784069*^9}, {3.410692162721569*^9, 
  3.410692292471569*^9}, {3.410692825940319*^9, 3.410692836221569*^9}, {
  3.410693088846569*^9, 3.410693106471569*^9}, {3.410693722127819*^9, 
  3.4106943600184436`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"List", "[", "s", "]"}], ",", "s", ",", 
    RowBox[{"{", "s", "}"}], ",", 
    RowBox[{"s", "[", "s", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"s", "[", "]"}], "}"}], ",", "ss"}], "]"}], "/.", 
  RowBox[{
   RowBox[{"List", "[", "s", "]"}], "\[Rule]", "h"}]}]], "Input",
 CellChangeTimes->{{3.4109759691949935`*^9, 3.4109759783882127`*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "s", ",", "h", ",", 
   RowBox[{"s", "[", "s", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", "[", "]"}], "}"}], ",", "ss"}], "]"}]], "Output",
 CellChangeTimes->{3.4109759746728706`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"patt", "=", "s"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"List", "[", "s", "]"}], ",", "s", ",", 
    RowBox[{"{", "s", "}"}], ",", 
    RowBox[{"s", "[", "s", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"s", "[", "]"}], "}"}], ",", "ss"}], "]"}], "/.", 
  RowBox[{
   RowBox[{"{", "patt", "}"}], "\[Rule]", "h"}]}]}], "Input",
 CellChangeTimes->{{3.410694361752819*^9, 3.410694559065319*^9}, {
  3.4109757942334113`*^9, 3.410975854399926*^9}, {3.410975912072856*^9, 
  3.4109759318112383`*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "s", ",", "h", ",", 
   RowBox[{"s", "[", "s", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", "[", "]"}], "}"}], ",", "ss"}], "]"}]], "Output",
 CellChangeTimes->{{3.4106944492059436`*^9, 3.410694559815319*^9}, 
   3.410975802565392*^9, 3.41097584858156*^9, 3.41097593420468*^9}]
}, Open  ]],

Cell[TextData[{
 "P\:0159i aplikaci nahrazen\[IAcute], ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " proch\[AAcute]z\[IAcute] postupn\:011b od ko\:0159ene stromovou strukturu \
v\[YAcute]razu na kter\[YAcute] aplikujeme a porovn\[AAcute]v\[AAcute] ka\
\:017edou v\:011btev a jej\[IAcute] podstrukturu s patternem. Kdy\:017e na \
patternu struktura odpv\[IAcute]d\[AAcute], provede nahrazen\[IAcute]. \
Nahrazen\[IAcute] m\:016f\:017eeme aplikovat i v\[IAcute]ce na jednou, ale ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "p\:0159i pou\:017eit\[IAcute] /. st\[AAcute]le proch\[AAcute]z\[IAcute] \
strukturu jen jednou a v ka\:017ed\[EAcute] \[UAcute]rovni postupn\:011b prov\
\[AAcute]d\[IAcute] porovn\[AAcute]n\[IAcute] s jednotliv\[YAcute]mi \
patterny. Kdy\:017e najde prvn\[IAcute] vyhovuj\[IAcute]c\[IAcute] pattern, \
provede nahrazen\[IAcute] a zbyl\[EAcute] patterny u\:017e nezkou\[SHacek]\
\[IAcute]. Do v\[YAcute]razu kter\[YAcute] dosadila na m\[IAcute]sto \
p\:016fvodn\[IAcute]ho se pot\[EAcute] u\:017e mathematica nekouk\[AAcute]. \
Proto nap\:0159."
}], "Text",
 CellChangeTimes->{{3.411127224791391*^9, 3.4111273042757654`*^9}, {
  3.411127377478891*^9, 3.411127778510141*^9}, {3.411128250135141*^9, 
  3.4111282554945154`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"x", "\[Rule]", "t"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.411127780166391*^9, 3.411127801010141*^9}}],

Cell[BoxData["r"], "Output",
 CellChangeTimes->{3.411127803635141*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "x"}], ",", 
    RowBox[{"x", "\[Rule]", "r"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.411127780166391*^9, 3.4111278245257654`*^9}}],

Cell[BoxData["x"], "Output",
 CellChangeTimes->{{3.4111278189632654`*^9, 3.4111278276820154`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"x", "\[Rule]", "x"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.4111281084007654`*^9, 3.411128110603891*^9}}],

Cell[BoxData["r"], "Output",
 CellChangeTimes->{3.4111281109320154`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"r", "\[Rule]", "u"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.411128641791391*^9, 3.411128651291391*^9}}],

Cell[BoxData["r"], "Output",
 CellChangeTimes->{{3.411128642291391*^9, 3.4111286517757654`*^9}}]
}, Open  ]],

Cell["\<\
Jestli\:017ee chceme, aby v\[SHacek]echna pravidla byla aplikov\[AAcute]na i \
na nov\[EAcute] struktury v\[YAcute]raz\:016f, kter\[EAcute] se objevily ve v\
\[YAcute]razu po nahrazen\[IAcute], pou\:017eijeme m\[IAcute]sto /. p\:0159\
\[IAcute]kaz //.  . Tento p\:0159\[IAcute]kaz proj\[IAcute]\:017ed\[IAcute] \
stromovou strukturu a aplikuje nahrazen\[IAcute] tolikr\[AAcute]t, dokud nen\
\[IAcute] po posledn\[IAcute]m pr\:016fchodu v\[YAcute]raz shodn\[YAcute] \
jako p\:0159ed n\[IAcute]m (\:017e\[AAcute]dn\[EAcute] pravidlo u\:017e \
nebylo aplikov\[AAcute]no).\
\>", "Text",
 CellChangeTimes->{{3.4111283599007654`*^9, 3.4111285722132654`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"r", "\[Rule]", "u"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.4111285838695154`*^9, 3.411128654385141*^9}}],

Cell[BoxData["r"], "Output",
 CellChangeTimes->{{3.4111285854320154`*^9, 3.411128608885141*^9}, 
   3.4111286553070154`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "//.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"r", "\[Rule]", "u"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.411128591978891*^9, 3.411128627603891*^9}, {
  3.4111286597757654`*^9, 3.4111286622132654`*^9}}],

Cell[BoxData["u"], "Output",
 CellChangeTimes->{3.411128592603891*^9, 3.411128663385141*^9}]
}, Open  ]],

Cell["Pozor v\[SHacek]ak na zacyklen\[IAcute]", "Text",
 CellChangeTimes->{{3.411128669697641*^9, 3.411128679197641*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "//.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"r", "\[Rule]", "x"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.4111286896507654`*^9, 3.4111286934320154`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReplaceRepeated", "::", "\<\"rrlim\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Exiting after \\!\\(x\\) scanned \\!\\(65536\\) times. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/ReplaceRepeated/rrlim\\\
\", ButtonNote -> \\\"ReplaceRepeated::rrlim\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.411128696478891*^9}],

Cell[BoxData["x"], "Output",
 CellChangeTimes->{3.411128696478891*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "r"}], ",", 
    RowBox[{"r", "\[Rule]", "x"}]}], "}"}]}]], "Input",
 CellChangeTimes->{3.411128707260141*^9}],

Cell[BoxData["r"], "Output",
 CellChangeTimes->{3.4111287079945154`*^9}]
}, Open  ]],

Cell[TextData[{
 "Jestli\:017ee je n\:011bkter\[YAcute] v\[YAcute]raz komutativn\[IAcute] \
(Symbol ozna\[CHacek]uj\[IAcute]c\[IAcute] jeho hlavi\[CHacek]ku m\[AAcute] \
nastaven attribut Orderless), zkou\[SHacek]\[IAcute] ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " jak\[EAcute]koli variace jeho podv\:011btv\[IAcute] a opu\:017eitje prvn\
\[IAcute], kter\[YAcute] padne."
}], "Text",
 CellChangeTimes->{{3.411129500072641*^9, 3.4111295454632654`*^9}, {
  3.4111296658070154`*^9, 3.411129747103891*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plus", "[", 
   RowBox[{"n", ",", "k"}], "]"}], "/.", 
  RowBox[{
   RowBox[{"Plus", "[", 
    RowBox[{"k", ",", "n"}], "]"}], "\[Rule]", "4"}]}]], "Input",
 CellChangeTimes->{{3.411129749041391*^9, 3.411129805166391*^9}}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{3.4111298062132654`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plus", "[", 
   RowBox[{"n", ",", "k", ",", "l"}], "]"}], "/.", 
  RowBox[{
   RowBox[{"Plus", "[", 
    RowBox[{"k", ",", "n", ",", "l"}], "]"}], "\[Rule]", "4"}]}]], "Input",
 CellChangeTimes->{{3.411129820853891*^9, 3.411129837322641*^9}}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{3.4111298380570154`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Obecn\[EAcute] patterny", "Subsubsection",
 CellChangeTimes->{{3.411129861510141*^9, 3.4111298782132654`*^9}}],

Cell["\<\

Nyn\[IAcute] si probereme n\:011bkter\[EAcute] symboly, kter\[EAcute] maj\
\[IAcute] p\:0159i aplikaci patternu zvl\[AAcute]\[SHacek]tn\[IAcute] v\
\[YAcute]znam:
 
Nejd\:016fle\:017eit\:011bj\[SHacek]\[IAcute]m symbol v patternu je _ podtr\
\:017e\[IAcute]tko (Blank). Tento symbol lze p\:0159elo\:017eit jako: \
\"cokoli\" .\
\>", "Text",
 CellChangeTimes->{{3.4106917121746936`*^9, 3.410691766877819*^9}, {
  3.410692100940319*^9, 3.410692125784069*^9}, {3.410692162721569*^9, 
  3.410692292471569*^9}, {3.410692825940319*^9, 3.410692836221569*^9}, {
  3.410693088846569*^9, 3.410693106471569*^9}, {3.410693722127819*^9, 
  3.410694354002819*^9}, {3.410694595877819*^9, 3.410694692627819*^9}, {
  3.4106948915496936`*^9, 3.410694899971569*^9}, {3.411128347166391*^9, 
  3.4111283535882654`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"s", ",", " ", "sd", ",", " ", 
    RowBox[{"ss", "+", "3"}], ",", " ", "d", ",", " ", 
    RowBox[{"{", "s", "}"}], ",", 
    RowBox[{"{", " ", 
     RowBox[{"s", ",", " ", "s"}], "}"}], ",", " ", "ss"}], "}"}], " ", "/.", 
  " ", 
  RowBox[{"_", "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.410695177877819*^9, 3.410695183315319*^9}, {
  3.410695382565319*^9, 3.4106953931434436`*^9}}],

Cell[BoxData["h"], "Output",
 CellChangeTimes->{3.410694669190319*^9, 3.410695394159069*^9}]
}, Open  ]],

Cell["\<\
Je ov\[SHacek]em d\:016fle\:017eit\[EAcute] si uv\:011bdomit, \:017ee podtr\
\:017e\[IAcute]tko nahrazuje v\:017edy pouze jednu v\:011btev \
stromov\[EAcute] struktury v\[YAcute]razu. Proto nap\:0159.:\
\>", "Text",
 CellChangeTimes->{{3.410694917065319*^9, 3.410694927721569*^9}, {
  3.4106949662684436`*^9, 3.4106949900809436`*^9}, {3.410695045877819*^9, 
  3.4106953784871936`*^9}, {3.4109756759132752`*^9, 3.4109757494490147`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"s", ",", " ", "sd", ",", " ", 
    RowBox[{"{", 
     RowBox[{"ss", "+", "3"}], "}"}], ",", " ", "d", ",", " ", 
    RowBox[{"{", "s", "}"}], ",", 
    RowBox[{"{", " ", 
     RowBox[{"s", ",", " ", "s"}], "}"}], ",", " ", "ss"}], "}"}], " ", "/.", 
  " ", 
  RowBox[{
   RowBox[{"{", "_", "}"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.410695698377819*^9, 3.4106957066121936`*^9}, {
  3.4106957989559436`*^9, 3.4106958247996936`*^9}, {3.410695867659069*^9, 
  3.4106958949871936`*^9}, {3.4106959392059436`*^9, 3.4106959393621936`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"s", ",", "sd", ",", "h", ",", "s", ",", "h", ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "s"}], "}"}], ",", "ss"}], "}"}]], "Output",
 CellChangeTimes->{3.4106959424871936`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"s", ",", " ", "sd", ",", " ", 
    RowBox[{"f", "[", 
     RowBox[{"ss", "+", "3"}], "]"}], ",", " ", "d", ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "s"}], "]"}], ",", " ", "ss"}], "]"}], " ", "/.", 
  " ", 
  RowBox[{
   RowBox[{"f", "[", "_", "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.410695698377819*^9, 3.4106957066121936`*^9}, {
  3.4106957989559436`*^9, 3.4106958247996936`*^9}, {3.410695867659069*^9, 
  3.4106958949871936`*^9}, {3.4106959392059436`*^9, 3.4106959393621936`*^9}, {
  3.411127972666391*^9, 3.411128030635141*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"s", ",", "sd", ",", "h", ",", "d", ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "s"}], "]"}], ",", "ss"}], "]"}]], "Output",
 CellChangeTimes->{3.4106959424871936`*^9, 3.4111280358695154`*^9}]
}, Open  ]],

Cell["\<\
Je tedy podtr\:017e\[IAcute]tko to, co ozna\[CHacek]uje jakoukoliv v\:011btev \
struktury v\[YAcute]razu (tou m\:016f\:017ee b\[YAcute]t i ko\:0159en \
struktury, tak\:017ee samotn\[EAcute] podtr\:017e\[IAcute]tko nahrad\[IAcute] \
jak\[YAcute]koli v\[YAcute]raz, proto\:017ee ka\:017ed\[YAcute] v\[YAcute]raz \
m\[AAcute] ko\:0159en )\
\>", "Text",
 CellChangeTimes->{{3.410976094314907*^9, 3.4109760945852957`*^9}, {
  3.410976500048323*^9, 3.4109765177037106`*^9}, {3.411127117916391*^9, 
  3.411127184228891*^9}, {3.4111278830257654`*^9, 3.411127936541391*^9}, {
  3.411190959125*^9, 3.4111909659375*^9}}],

Cell["\<\
Dal\[SHacek]\[IAcute]mi dv\:011bma symboly jsou dv\:011b te\[CHacek]ky a t\
\:0159i te\[CHacek]ky. Oba zna\[CHacek]\[IAcute] opakov\[AAcute]n\[IAcute] \
patternu. Dv\:011b te\[CHacek]ky za patternem zna\[CHacek]\[IAcute] jednu, \
nebo v\[IAcute]c podv\:011btv\[IAcute] jdouc\[IAcute]ch za sebou a \
spl\:0148uj\[IAcute]c\[IAcute]ch tento pattern. T\:0159i te\[CHacek]ky zna\
\[CHacek]\[IAcute] nula, jedna, nebo v\[IAcute]c. Opakov\[AAcute]n\[IAcute] \
se v\:011bt\[SHacek]inou pou\:017e\[IAcute]v\[AAcute] na podpattern hloub\
\:011bji ve struktu\:0159e v\[YAcute]razu tvo\:0159\[IAcute]c\[IAcute] \
pattern.\
\>", "Text",
 CellChangeTimes->{{3.41119084925*^9, 3.411190945234375*^9}, {
  3.411191158125*^9, 3.41119125859375*^9}, {3.41119171734375*^9, 
  3.411191814703125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "s"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", "s", "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.411191283109375*^9, 3.4111912955*^9}, {
  3.411191332140625*^9, 3.41119134115625*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{
   RowBox[{"f", "[", "]"}], ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "s"}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.411191305546875*^9, 3.41119134921875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "s"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"s", ".."}], "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.4111913255*^9, 3.411191357828125*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{
   RowBox[{"f", "[", "]"}], ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{{3.411191326734375*^9, 3.411191347109375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "s"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"s", "..."}], "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{3.411191386859375*^9}],

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"h", ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{{3.41119138090625*^9, 3.411191387109375*^9}}]
}, Open  ]],

Cell["\<\
Pou\:017eijeme-li opakov\[AAcute]n\[IAcute] na cel\[YAcute] pattern (na ko\
\:0159en v\[YAcute]razu a ne na n\:011bkter\[YAcute] podpattern), nahrad\
\[IAcute] se ka\:017ed\[AAcute] z nalezen\[YAcute]ch odpov\[IAcute]daj\
\[IAcute]c\[IAcute]ch podv\:011btv\[IAcute] zvl\[AAcute]\[SHacek]\:0165 a v\
\[YAcute]sledek bude, jako bychom opakov\[AAcute]n\[IAcute] nepou\:017eili.\
\>", "Text",
 CellChangeTimes->{{3.411191844203125*^9, 3.411191975875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "]"}], "..."}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.4111914566875*^9, 3.41119146509375*^9}, {
   3.411191517640625*^9, 3.411191521515625*^9}, {3.41119155484375*^9, 
   3.411191606234375*^9}, {3.411191668*^9, 3.411191673671875*^9}, 
   3.411191839640625*^9, {3.411191985515625*^9, 3.411192004484375*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{{3.411191458390625*^9, 3.41119146803125*^9}, 
   3.41119152225*^9, {3.411191559171875*^9, 3.411191606828125*^9}, 
   3.411191675140625*^9, 3.4111918404375*^9, {3.411191989703125*^9, 
   3.41119200534375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.411192016625*^9, 3.411192017*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{3.41119201775*^9}]
}, Open  ]],

Cell[TextData[{
 "Bohu\:017eel nelze zapsat pomoc\[IAcute] dvou/t\:0159\[IAcute] \
te\[CHacek]ek opakov\[AAcute]n\[IAcute] patternu podtr\:017e\[IAcute]tko p\
\:0159\[IAcute]mo, ale podtr\:017e\[IAcute]tko mus\[IAcute]me d\[AAcute]t do \
z\[AAcute]vorek, proto\:017ee znak podtr\:017e\[IAcute]tko te\[CHacek]ka je u\
\:017e v syntaxi ",
 StyleBox["Mathematicy",
  FontSlant->"Italic"],
 " rezervov\[AAcute]n pro jinou funkci."
}], "Text",
 CellChangeTimes->{{3.411192066671875*^9, 3.411192113921875*^9}, {
  3.411192216640625*^9, 3.411192319953125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"_.", "."}], "]"}], "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.411192121453125*^9, 3.4111921469375*^9}, {
  3.411192569234375*^9, 3.411192569484375*^9}},
 EmphasizeSyntaxErrors->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Syntax", "::", "\<\"sntxf\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\\"\\!\\(f[\\(\\(_. .\\)\\)\\)\\\" cannot be followed by \
\\\"\\!\\(]\\)\\\".\\!\\(\\\"\\\"\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.411192572765625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Syntax", "::", "\<\"tsntxi\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\\"\\!\\(_. .\\)\\\" is incomplete; more input is needed.\
\\!\\(\\\"\\\"\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.411192572765625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Syntax", "::", "\<\"sntxi\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Incomplete expression; more input is needed.\\!\\(\\\"\\\"\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.411192572765625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", 
    RowBox[{"f", "[", "s", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"(", "_", ")"}], ".."}], "]"}], "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.411192189765625*^9, 3.4111921931875*^9}, {
  3.411192228140625*^9, 3.41119222840625*^9}, {3.411192554609375*^9, 
  3.411192555734375*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "]"}], ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{3.411192194140625*^9, 3.411192228953125*^9, 
  3.411192574796875*^9}]
}, Open  ]],

Cell[TextData[{
 "Abychom nemuseli ps\[AAcute]t zdlouhav\:011b (_).. nebo (_)... je pro tyto \
znaky v ",
 StyleBox["Mathematice",
  FontSlant->"Italic"],
 " zavedena \[CHacek]asto vyu\:017e\[IAcute]van\[AAcute] zkratka __ resp.  \
___"
}], "Text",
 CellChangeTimes->{{3.411192401921875*^9, 3.411192518796875*^9}, {
  3.411192678328125*^9, 3.41119267965625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", " ", 
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", "__", "]"}], " ", "\[Rule]", " ", "h", " "}]}]], "Input",\

 CellChangeTimes->{{3.4111924945*^9, 3.411192497921875*^9}, {
  3.4111925581875*^9, 3.411192558328125*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "]"}], ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{3.411192499328125*^9, 3.411192576625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "]"}], ",", " ", 
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", "___", "]"}], " ", "\[Rule]", " ", "h", " "}]}]], "Input",\

 CellChangeTimes->{{3.41119250703125*^9, 3.411192508671875*^9}, {
  3.4111925606875*^9, 3.4111925608125*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{
  3.4111925094375*^9, {3.41119256384375*^9, 3.411192578515625*^9}}]
}, Open  ]],

Cell["\<\
Pro tvo\:0159en\[IAcute] alternativn\[IAcute]ch pattern\:016f je mo\:017en\
\[EAcute] v patternech pou\:017e\[IAcute]vat logick\[EAcute] zapsan\[EAcute] \
znakem |\
\>", "Text",
 CellChangeTimes->{{3.411193064671875*^9, 3.41119312003125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}], ",", " ", 
    RowBox[{"f", "[", "  ", 
     RowBox[{"t", ",", "t"}], "]"}], ",", 
    RowBox[{"f", "[", 
     RowBox[{"s", ",", "u"}], "]"}]}], "]"}], " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"s", "|", "t"}], "]"}], " ", "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.41119312934375*^9, 3.4111931510625*^9}, {
  3.41119318996875*^9, 3.411193216125*^9}, {3.411193253796875*^9, 
  3.4111932605*^9}, {3.4111933001875*^9, 3.411193300375*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "t"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"t", ",", "t"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "u"}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{
  3.41119315140625*^9, {3.41119319196875*^9, 3.41119321978125*^9}, 
   3.411193261859375*^9, 3.411193300765625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}], ",", " ", 
    RowBox[{"f", "[", "  ", 
     RowBox[{"t", ",", "t"}], "]"}], ",", 
    RowBox[{"f", "[", 
     RowBox[{"s", ",", "u"}], "]"}]}], "]"}], " ", " ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"s", "|", "t"}], ")"}], ".."}], "]"}], " ", "\[Rule]", " ", "h",
    " "}]}]], "Input",
 CellChangeTimes->{{3.411193312953125*^9, 3.41119331478125*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h", ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "u"}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.411193315484375*^9, 3.411193363515625*^9}]
}, Open  ]],

Cell["\<\
Existuje i logick\[EAcute] ne pro patterny\
\>", "Text",
 CellChangeTimes->{{3.411193413375*^9, 3.411193430359375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "u", "]"}], ",", 
    RowBox[{"f", "[", " ", 
     RowBox[{"s", ",", " ", "t"}], "]"}]}], "]"}], "  ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"Except", "[", "s", "]"}], "]"}], " ", "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.4111934521875*^9, 3.4111934825625*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "s", "]"}], ",", "h", ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"s", ",", "t"}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{{3.411193460390625*^9, 3.41119348321875*^9}}]
}, Open  ]],

Cell["\<\
Logick\[EAcute] and lze pou\:017e\[IAcute]t mezi patternem a dopl\:0148uj\
\[IAcute]c\[IAcute] podm\[IAcute]nkou, co\:017e je funkce, do kter\[EAcute] m\
\:016f\:017eeme dosadit to co chceme nahradit (co testujeme), a vypadne \
atomick\[YAcute] typ Boolean. Je to tzv. podm\[IAcute]n\:011bn\[YAcute] \
pattern, proto\:017ee pattern vr\[AAcute]t\[IAcute], \:017ee pasuje, jen kdy\
\:017e je nav\[IAcute]c spln\:011bna dodate\[CHacek]n\[AAcute] \
podm\[IAcute]nka. Zna\[CHacek]\[IAcute] se otazn\[IAcute]kem\
\>", "Text",
 CellChangeTimes->{{3.41120206284375*^9, 3.41120225428125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "\[Pi]", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", "3", "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "  ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"_", "?", "NumberQ"}], "]"}], " ", "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.4112022693125*^9, 3.411202311328125*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "s", "]"}], ",", 
   RowBox[{"f", "[", "t", "]"}], ",", 
   RowBox[{"f", "[", "\[Pi]", "]"}], ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{{3.411202298234375*^9, 3.4112023120625*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "\[Pi]", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", "3", "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "  ", "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"_", "?", "NumericQ"}], "]"}], " ", "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.4112022693125*^9, 3.411202295453125*^9}}],

Cell["\<\
Tak jak bylo pops\[AAcute]no je mo\:017en\[EAcute] pomoc\[IAcute] \
vytvo\:0159en\[IAcute] tesotvac\[IAcute] fce vytvo\:0159it t\[EAcute]m\:011b\
\:0159 jakoukoliv podm\[IAcute]nku. \[CapitalCHacek]asto je ale nutn\[EAcute] \
testovat pattern (nebo sp\[IAcute]\[SHacek] t\[IAcute]m patternem testovan\
\[YAcute] v\[YAcute]raz) na to jakou m\[AAcute] hlavi\[CHacek]ku. \
P\:0159ipome\:0148me, \:017ee hlavi\[CHacek]ku dostaneme fc\[IAcute] Head \
(pop\:0159. t\[EAcute]\:017e pomoc\[IAcute] [[0]]) a u slo\:017een\[EAcute] \
funkce se n\[AAcute]m vr\[AAcute]t\[IAcute] atomick\[YAcute] v\[YAcute]raz \
ozna\[CHacek]uj\[IAcute]c\[IAcute] ko\:0159en v\[YAcute]razu a u atomick\
\[EAcute]ho v\[YAcute]razu dostaneme typ (tedy atomick\[YAcute] v\[YAcute]raz \
typu Symbol ozna\[CHacek]uj\[IAcute]c\[IAcute] typ). Lze to ud\:011blat tak, \
\:017ee vyvo\:0159\[IAcute]me testuj\[IAcute]c\[IAcute] fci na dan\[YAcute] \
typ a pou\:017eijeme ? Proto existuje zkratka _JmenoHlavi\[CHacek]ky, kter\
\[AAcute] lze p\:0159elo\:017eit jako cokoli, co m\[AAcute] hlavi\[CHacek]ku \
JmenoHlavi\[CHacek]ky.\
\>", "Text",
 CellChangeTimes->{{3.411202620125*^9, 3.411202964421875*^9}, {
  3.41120302109375*^9, 3.411203048640625*^9}, {3.411203097171875*^9, 
  3.4112032498125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "\[Pi]", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", "3", "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"_", "?", "IntegerQ"}], "]"}], " ", "\[Rule]", " ", 
   RowBox[{"h", " "}]}]}]], "Input",
 CellChangeTimes->{{3.4112030675625*^9, 3.41120308625*^9}, {3.41120325675*^9, 
  3.4112032739375*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "s", "]"}], ",", 
   RowBox[{"f", "[", "t", "]"}], ",", 
   RowBox[{"f", "[", "\[Pi]", "]"}], ",", "h", ",", 
   RowBox[{"f", "[", "5.`", "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.41120327503125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "\[Pi]", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", "3", "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "/.", " ", 
  RowBox[{
   RowBox[{"f", "[", "_Integer", "]"}], " ", "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.41120329159375*^9, 3.41120329340625*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"f", "[", "s", "]"}], ",", 
   RowBox[{"f", "[", "t", "]"}], ",", 
   RowBox[{"f", "[", "\[Pi]", "]"}], ",", "h", ",", 
   RowBox[{"f", "[", "5.`", "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.411203294234375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Head", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.411203323109375*^9, 3.411203339140625*^9}}],

Cell[BoxData["Integer"], "Output",
 CellChangeTimes->{{3.41120333190625*^9, 3.411203339375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", "s", "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "\[Pi]", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", "3", "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "/.", " ", 
  RowBox[{"_f", " ", "\[Rule]", " ", "h", " "}]}]], "Input",
 CellChangeTimes->{{3.411203356328125*^9, 3.41120339046875*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h", ",", "h", ",", "h"}], "]"}]], "Output",
 CellChangeTimes->{{3.41120336009375*^9, 3.41120338390625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"s", ",", "t"}], "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"3", ",", "g"}], "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "/.", " ", 
  RowBox[{
   RowBox[{"f", " ", "[", "___Symbol", "]"}], "\[Rule]", " ", "h", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.411203379*^9, 3.4112034310625*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{"h", ",", "h", ",", "h", ",", 
   RowBox[{"f", "[", 
    RowBox[{"3", ",", "g"}], "]"}], ",", 
   RowBox[{"f", "[", "5.`", "]"}]}], "]"}]], "Output",
 CellChangeTimes->{3.411203432140625*^9}]
}, Open  ]],

Cell["\<\
Ob\[CHacek]as m\:016f\:017eeme p\:0159i nahrazen\[IAcute] cht\[IAcute]t na \
prav\[EAcute] stran\:011b (to co bude m\[IAcute]sto star\[EAcute]ho), pou\
\:017e\[IAcute]t \[CHacek]\[AAcute]st toho, co chceme smazat (nahradit). \
Proto m\:016f\:017eeme \[CHacek]\[AAcute]st patternu (nebo klidn\:011b i cel\
\[YAcute]) pojmenovat a naprav\[EAcute] stran\:011b se n\[AAcute]m pod t\
\[IAcute]mto lok\[AAcute]ln\[IAcute]m ozna\[CHacek]en\[IAcute]m \
objev\[IAcute] to co bylo ozna\[CHacek]enou \[CHacek]\[AAcute]st\[IAcute] \
patternu nahrazeno. Ozna\[CHacek]en\[IAcute] se prov\[AAcute]d\[IAcute] pomoc\
\[IAcute] jm\[EAcute]no:pattern\
\>", "Text",
 CellChangeTimes->{{3.4112023955*^9, 3.41120246075*^9}, {3.411202976234375*^9,
   3.411203015234375*^9}, {3.411203572671875*^9, 3.41120369928125*^9}, {
  3.4112037310625*^9, 3.411203765984375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"s", ",", "t"}], "]"}], ",", " ", 
    RowBox[{"f", "[", "t", "]"}], ",", " ", 
    RowBox[{"f", "[", "]"}], ",", " ", 
    RowBox[{"f", "[", " ", 
     RowBox[{"3", ",", "g"}], "]"}], ",", 
    RowBox[{"f", "[", "5.", "]"}]}], "]"}], "/.", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"d", ":", "_"}], "]"}], "\[Rule]", 
   RowBox[{"d", "+", "3"}]}]}]], "Input",
 CellChangeTimes->{{3.41120389834375*^9, 3.411203945734375*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", 
  RowBox[{
   RowBox[{"3", "+", "s", "+", "t"}], ",", 
   RowBox[{"3", "+", "t"}], ",", 
   RowBox[{"f", "[", "]"}], ",", 
   RowBox[{"6", "+", "g"}], ",", "8.`"}], "]"}]], "Output",
 CellChangeTimes->{{3.411203916421875*^9, 3.4112039281875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"d", ":", "_"}], "]"}], "=", 
  RowBox[{"d", "+", "3", " "}]}]], "Input",
 CellChangeTimes->{{3.411203786265625*^9, 3.411203821984375*^9}}],

Cell[BoxData[
 RowBox[{"3", "+", "d"}]], "Output",
 CellChangeTimes->{3.41120382346875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.411203827578125*^9, 3.4112038365625*^9}}],

Cell[BoxData[
 RowBox[{"3", "+", "a"}]], "Output",
 CellChangeTimes->{{3.411203832140625*^9, 3.411203836734375*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"ClearAll", "[", "g", "]"}]], "Input",
 CellChangeTimes->{{3.41120396471875*^9, 3.411203970171875*^9}}],

Cell["\<\
Pro pro velice \[CHacek]asto pou\:017e\[IAcute]vanou sekvenci jm\[EAcute]no:_ \
existuje zkratka jmeno_\
\>", "Text",
 CellChangeTimes->{{3.411204047625*^9, 3.411204101796875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", "d_", "]"}], "=", 
  RowBox[{"d", "+", "3", " "}]}]], "Input",
 CellChangeTimes->{3.411204672125*^9}],

Cell[BoxData[
 RowBox[{"3", "+", "d"}]], "Output",
 CellChangeTimes->{3.411204672984375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"g", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.41120468165625*^9, 3.411204691015625*^9}}],

Cell[BoxData[
 RowBox[{"3", "+", "a"}]], "Output",
 CellChangeTimes->{3.411204702421875*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1280, 975},
WindowMargins->{{1276, Automatic}, {26, Automatic}},
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 202, 6, 29, "Text"],
Cell[773, 29, 2007, 31, 173, "Text"],
Cell[CellGroupData[{
Cell[2805, 64, 123, 2, 31, "Input"],
Cell[2931, 68, 76, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3044, 74, 100, 2, 31, "Input"],
Cell[3147, 78, 72, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3256, 84, 131, 2, 31, "Input"],
Cell[3390, 88, 74, 1, 30, "Output"]
}, Open  ]],
Cell[3479, 92, 95, 1, 31, "Input"],
Cell[3577, 95, 1022, 15, 47, "Text"],
Cell[CellGroupData[{
Cell[4624, 114, 449, 10, 31, "Input"],
Cell[5076, 126, 361, 9, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5474, 140, 559, 12, 31, "Input"],
Cell[6036, 154, 9125, 238, 186, "Output"]
}, Open  ]],
Cell[15176, 395, 382, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[15583, 405, 456, 11, 31, "Input"],
Cell[16042, 418, 148, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16227, 425, 428, 10, 31, "Input"],
Cell[16658, 437, 212, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16907, 446, 125, 2, 31, "Input"],
Cell[17035, 450, 4082, 109, 177, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21154, 564, 452, 11, 31, "Input"],
Cell[21609, 577, 107, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21753, 584, 404, 10, 31, "Input"],
Cell[22160, 596, 73, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22270, 602, 460, 11, 31, "Input"],
Cell[22733, 615, 100, 1, 30, "Output"]
}, Open  ]],
Cell[22848, 619, 644, 10, 47, "Text"],
Cell[CellGroupData[{
Cell[23517, 633, 437, 12, 31, "Input"],
Cell[23957, 647, 312, 8, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24306, 660, 468, 11, 33, "Input"],
Cell[24777, 673, 11258, 306, 221, "Output"]
}, Open  ]],
Cell[36050, 982, 596, 9, 29, "Text"],
Cell[CellGroupData[{
Cell[36671, 995, 132, 2, 31, "Input"],
Cell[36806, 999, 238, 5, 30, "Output"]
}, Open  ]],
Cell[37059, 1007, 899, 15, 47, "Text"],
Cell[CellGroupData[{
Cell[37983, 1026, 117, 2, 31, "Input"],
Cell[38103, 1030, 92, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38232, 1037, 119, 2, 31, "Input"],
Cell[38354, 1041, 94, 2, 30, "Output"]
}, Open  ]],
Cell[38463, 1046, 347, 6, 29, "Text"],
Cell[38813, 1054, 217, 4, 31, "Input"],
Cell[CellGroupData[{
Cell[39055, 1062, 197, 4, 31, "Input"],
Cell[39255, 1068, 145, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39437, 1076, 146, 3, 31, "Input"],
Cell[39586, 1081, 143, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39766, 1089, 242, 6, 31, "Input"],
Cell[40011, 1097, 75, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40123, 1103, 162, 2, 28, "Subsubsection"],
Cell[40288, 1107, 571, 10, 47, "Text"],
Cell[CellGroupData[{
Cell[40884, 1121, 115, 2, 31, "Input"],
Cell[41002, 1125, 92, 2, 30, "Output"]
}, Open  ]],
Cell[41109, 1130, 993, 17, 65, "Text"],
Cell[42105, 1149, 200, 4, 31, "Input"],
Cell[42308, 1155, 287, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[42620, 1165, 264, 7, 31, "Input"],
Cell[42887, 1174, 211, 5, 30, "Output"]
}, Open  ]],
Cell[43113, 1182, 537, 8, 29, "Text"],
Cell[CellGroupData[{
Cell[43675, 1194, 142, 4, 31, "Input"],
Cell[43820, 1200, 187, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44044, 1210, 168, 3, 31, "Input"],
Cell[44215, 1215, 72, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44324, 1221, 142, 4, 31, "Input"],
Cell[44469, 1227, 185, 5, 30, "Output"]
}, Open  ]],
Cell[44669, 1235, 681, 11, 47, "Text"],
Cell[CellGroupData[{
Cell[45375, 1250, 140, 3, 31, "Input"],
Cell[45518, 1255, 403, 8, 21, "Message"],
Cell[45924, 1265, 70, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46031, 1271, 242, 5, 31, "Input"],
Cell[46276, 1278, 454, 9, 21, "Message"],
Cell[46733, 1289, 119, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46889, 1296, 117, 2, 31, "Input"],
Cell[47009, 1300, 411, 8, 21, "Message"],
Cell[47423, 1310, 72, 1, 30, "Output"]
}, Open  ]],
Cell[47510, 1314, 963, 15, 65, "Text"],
Cell[48476, 1331, 1360, 21, 83, "Text"],
Cell[CellGroupData[{
Cell[49861, 1356, 413, 11, 31, "Input"],
Cell[50277, 1369, 241, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50555, 1380, 579, 15, 52, "Input"],
Cell[51137, 1397, 333, 7, 30, "Output"]
}, Open  ]],
Cell[51485, 1407, 1265, 22, 65, "Text"],
Cell[CellGroupData[{
Cell[52775, 1433, 225, 6, 31, "Input"],
Cell[53003, 1441, 70, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53110, 1447, 227, 6, 31, "Input"],
Cell[53340, 1455, 98, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53475, 1461, 227, 6, 31, "Input"],
Cell[53705, 1469, 72, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53814, 1475, 225, 6, 31, "Input"],
Cell[54042, 1483, 96, 1, 30, "Output"]
}, Open  ]],
Cell[54153, 1487, 662, 10, 47, "Text"],
Cell[CellGroupData[{
Cell[54840, 1501, 227, 6, 31, "Input"],
Cell[55070, 1509, 124, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55231, 1516, 279, 7, 31, "Input"],
Cell[55513, 1525, 92, 1, 30, "Output"]
}, Open  ]],
Cell[55620, 1529, 121, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[55766, 1534, 230, 6, 31, "Input"],
Cell[55999, 1542, 442, 9, 21, "Message"],
Cell[56444, 1553, 70, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56551, 1559, 201, 6, 31, "Input"],
Cell[56755, 1567, 72, 1, 30, "Output"]
}, Open  ]],
Cell[56842, 1571, 515, 10, 29, "Text"],
Cell[CellGroupData[{
Cell[57382, 1585, 257, 7, 31, "Input"],
Cell[57642, 1594, 72, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57751, 1600, 277, 7, 31, "Input"],
Cell[58031, 1609, 72, 1, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58152, 1616, 116, 1, 28, "Subsubsection"],
Cell[58271, 1619, 809, 16, 83, "Text"],
Cell[CellGroupData[{
Cell[59105, 1639, 455, 11, 31, "Input"],
Cell[59563, 1652, 92, 1, 30, "Output"]
}, Open  ]],
Cell[59670, 1656, 445, 7, 29, "Text"],
Cell[CellGroupData[{
Cell[60140, 1667, 610, 14, 31, "Input"],
Cell[60753, 1683, 218, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61008, 1693, 679, 15, 31, "Input"],
Cell[61690, 1710, 252, 5, 30, "Output"]
}, Open  ]],
Cell[61957, 1718, 619, 10, 29, "Text"],
Cell[62579, 1730, 788, 13, 47, "Text"],
Cell[CellGroupData[{
Cell[63392, 1747, 420, 11, 31, "Input"],
Cell[63815, 1760, 229, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64081, 1771, 393, 11, 31, "Input"],
Cell[64477, 1784, 178, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64692, 1793, 375, 11, 31, "Input"],
Cell[65070, 1806, 153, 3, 30, "Output"]
}, Open  ]],
Cell[65238, 1812, 461, 7, 29, "Text"],
Cell[CellGroupData[{
Cell[65724, 1823, 556, 13, 31, "Input"],
Cell[66283, 1838, 316, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66636, 1849, 317, 9, 31, "Input"],
Cell[66956, 1860, 126, 3, 30, "Output"]
}, Open  ]],
Cell[67097, 1866, 553, 11, 29, "Text"],
Cell[CellGroupData[{
Cell[67675, 1881, 475, 13, 31, "Input"],
Cell[68153, 1896, 265, 6, 21, "Message"],
Cell[68421, 1904, 247, 6, 21, "Message"],
Cell[68671, 1912, 232, 6, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68940, 1923, 523, 15, 31, "Input"],
Cell[69466, 1940, 201, 5, 30, "Output"]
}, Open  ]],
Cell[69682, 1948, 362, 9, 29, "Text"],
Cell[CellGroupData[{
Cell[70069, 1961, 437, 12, 31, "Input"],
Cell[70509, 1975, 173, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70719, 1984, 440, 12, 31, "Input"],
Cell[71162, 1998, 176, 4, 30, "Output"]
}, Open  ]],
Cell[71353, 2005, 252, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[71630, 2014, 696, 18, 31, "Input"],
Cell[72329, 2034, 406, 11, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72772, 2050, 622, 18, 31, "Input"],
Cell[73397, 2070, 226, 5, 30, "Output"]
}, Open  ]],
Cell[73638, 2078, 129, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[73792, 2085, 473, 13, 31, "Input"],
Cell[74268, 2100, 246, 6, 30, "Output"]
}, Open  ]],
Cell[74529, 2109, 593, 9, 47, "Text"],
Cell[CellGroupData[{
Cell[75147, 2122, 490, 13, 31, "Input"],
Cell[75640, 2137, 263, 6, 30, "Output"]
}, Open  ]],
Cell[75918, 2146, 491, 13, 31, "Input"],
Cell[76412, 2161, 1271, 19, 65, "Text"],
Cell[CellGroupData[{
Cell[77708, 2184, 534, 14, 31, "Input"],
Cell[78245, 2200, 271, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78553, 2212, 460, 12, 31, "Input"],
Cell[79016, 2226, 272, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79325, 2238, 123, 2, 31, "Input"],
Cell[79451, 2242, 96, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79584, 2248, 422, 10, 31, "Input"],
Cell[80009, 2260, 172, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80218, 2268, 498, 14, 31, "Input"],
Cell[80719, 2284, 235, 6, 30, "Output"]
}, Open  ]],
Cell[80969, 2293, 853, 13, 47, "Text"],
Cell[CellGroupData[{
Cell[81847, 2310, 522, 15, 31, "Input"],
Cell[82372, 2327, 280, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82689, 2339, 195, 5, 31, "Input"],
Cell[82887, 2346, 91, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83015, 2353, 118, 2, 31, "Input"],
Cell[83136, 2357, 116, 2, 30, "Output"]
}, Open  ]],
Cell[83267, 2362, 126, 2, 31, "Input"],
Cell[83396, 2366, 190, 4, 29, "Text"],
Cell[CellGroupData[{
Cell[83611, 2374, 145, 4, 31, "Input"],
Cell[83759, 2380, 92, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83888, 2387, 119, 2, 31, "Input"],
Cell[84010, 2391, 92, 2, 30, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
